| darcs-2.4.4: a distributed, interactive, smart revision control system | Source code | Contents | Index

Darcs.Patch.Apply

Synopsis

applyToFilepaths :: Apply p => p -> [FilePath] -> [FilePath]
applyToSlurpy :: (Apply p, Monad m) => p -> Slurpy -> m Slurpy
forceTokReplace :: String -> String -> String -> FileContents -> Maybe FileContents
markupFile :: Effect p => PatchInfo -> p -> (FilePath, MarkedUpFile) -> (FilePath, MarkedUpFile)
emptyMarkedupFile :: MarkedUpFile
patchChanges :: Prim -> [(String, DirMark)]
applyToPop :: PatchInfo -> FL Prim -> Population -> Population
applyToTree :: Apply p => p -> Tree IO -> IO (Tree IO)

data LineMark

= AddedLine PatchInfo
| RemovedLine PatchInfo
| AddedRemovedLine PatchInfo PatchInfo
| None

type MarkedUpFile = [(ByteString, LineMark)]
forceReplaceSlurpy :: Prim -> Slurpy -> Maybe Slurpy

Documentation

applyToFilepaths :: Apply p => p -> [FilePath] -> [FilePath] | Source

applyToSlurpy :: (Apply p, Monad m) => p -> Slurpy -> m Slurpy | Source

forceTokReplace :: String -> String -> String -> FileContents -> Maybe FileContents | Source

markupFile :: Effect p => PatchInfo -> p -> (FilePath, MarkedUpFile) -> (FilePath, MarkedUpFile) | Source

emptyMarkedupFile :: MarkedUpFile | Source

patchChanges :: Prim -> [(String, DirMark)] | Source

applyToPop :: PatchInfo -> FL Prim -> Population -> Population | Source

applyToTree :: Apply p => p -> Tree IO -> IO (Tree IO) | Source

Apply a patch to a `Tree`, yielding a new `Tree`.

data LineMark | Source

Constructors

AddedLine PatchInfo |
RemovedLine PatchInfo |
AddedRemovedLine PatchInfo PatchInfo |
None |

Instances

Show LineMark

type MarkedUpFile = [(ByteString, LineMark)] | Source

forceReplaceSlurpy :: Prim -> Slurpy -> Maybe Slurpy | Source

Produced by Haddock version 2.4.2